You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

42 lines
565 B

  1. #!/bin/sh
  2. which autoconf
  3. if ! test $? -eq 0
  4. then
  5. echo "error, install autoconf"
  6. exit 1
  7. fi
  8. which automake
  9. if ! test $? -eq 0
  10. then
  11. echo "error, install automake"
  12. exit 1
  13. fi
  14. which libtool || which libtoolize
  15. if ! test $? -eq 0
  16. then
  17. echo "error, install libtool"
  18. exit 1
  19. fi
  20. which pkg-config
  21. if ! test $? -eq 0
  22. then
  23. echo "error, install pkg-config"
  24. exit 1
  25. fi
  26. if ! test -f libpainter/configure.ac
  27. then
  28. git submodule update --init libpainter
  29. fi
  30. if ! test -f librfxcodec/configure.ac
  31. then
  32. git submodule update --init librfxcodec
  33. fi
  34. autoreconf -fvi